Loading...
Searching...
No Matches
quaddata Struct Reference

`#include <dataquad.h>`

Collaboration diagram for quaddata:
[legend]

## Data Fields

double | x_orig
double | y_orig
double | xmax
double | ymax
int | n_rows
int | n_cols
int | n_points
struct triple * | points

## Detailed Description

Definition at line 45 of file dataquad.h.

## Field Documentation

## n_cols

int quaddata::n_cols

Definition at line 51 of file dataquad.h.

Referenced by IL_grid_calc_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_resample_interp_segments_2d(), and quad_divide_data().

## n_points

int quaddata::n_points

Definition at line 52 of file dataquad.h.

Referenced by IL_grid_calc_2d(), IL_interp_segments_2d_parallel(), IL_resample_interp_segments_2d(), quad_data_new(), and quad_get_points().

## n_rows

int quaddata::n_rows

Definition at line 50 of file dataquad.h.

Referenced by IL_grid_calc_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), and IL_resample_interp_segments_2d().

## points

struct triple* quaddata::points

Definition at line 53 of file dataquad.h.

Referenced by IL_grid_calc_2d(), IL_interp_segments_2d_parallel(), quad_get_points(), and translate_quad().

## x_orig

double quaddata::x_orig

Definition at line 46 of file dataquad.h.

Referenced by IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), quad_data_new(), quad_get_points(), quad_intersect(), and translate_quad().

## xmax

double quaddata::xmax

Definition at line 48 of file dataquad.h.

Referenced by IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_resample_interp_segments_2d(), process_point(), quad_data_new(), quad_get_points(), quad_intersect(), smallest_segment(), and translate_quad().

## y_orig

double quaddata::y_orig

Definition at line 47 of file dataquad.h.

Referenced by IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), quad_get_points(), quad_intersect(), and translate_quad().

## ymax

double quaddata::ymax

Definition at line 49 of file dataquad.h.

Referenced by IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_resample_interp_segments_2d(), process_point(), quad_data_new(), quad_get_points(), quad_intersect(), and translate_quad().

The documentation for this struct was generated from the following file:

- dataquad.h